local BUFSIZE = 2^5
local filePath = "C:\\lua Programming\\wordcount.txt"
local file = io.input(filePath)
local cc, lc, wc = 0, 0, 0  -- character line and word counts
for lines, rest in io.lines(arg[1], BUFSIZE, "*L") do
  if rest then lines = lines .. rest end
  cc = cc + #lines

  -- count words
  local _, t = string.gsub(lines,"%S+","")
  wc = wc + t
  -- count newlines
  _, t = string.gsub(lines,"\n","\n")
  lc = lc + t

end
file.close()
print(lc, wc, cc)
