-- iterators and closure

function iterator(theList)
  local i = 0
  return (function () i = i + 1; return theList[i] end)
end

local planets = {"Earth","Mars","Saturn","Venus"}
iter = iterator(planets) -- get a reference to the function
while true do
  local theItem = iter() -- use the function
  if theItem == nil then break end
  print (theItem)
end

--[[generic for loop]]
for item in iterator(planets) do
  print (item)
end
