--[[Here we set default values for indices that are used that have no table entries
    by only using one metatable, saves memory.  The function saves the default
    data in the table itself.  It uses an oddly named variable, three underscores (___)
    as the variable name]]
local metatable = {__index = function(t) return t.___ end}
function setDefault(table, default)
table.___ = default
setmetatable(table, metatable)
end

theTable = {x=10, y=20}
print(theTable.x, theTable.z)

setDefault(theTable, -1)
print (theTable.x, theTable.z)


