local account = require "objectOriented.classAccount"

SpecialAccount = Account:new()

function SpecialAccount:withdraw(v)
  if v - self.balance >= self:getLimit() then
    error "insufficient funds"
  end
  self.balance = self.balance - v
end

function SpecialAccount:getLimit()
  return self.limit or 0
end


newAccount = SpecialAccount:new{limit=1000.00}

newAccount:deposit(100.00)

newAccount:withdraw(200.00)

newAccount:print()

local limit = newAccount:getLimit()

print("Account limit is " .. limit)


