local theString = "This is the test string that will be used to work with patterns in Lua.  This should be interesting"

print(string.match(theString,"t[%a%s]+g"))

-- work with string.gsub
print("\n\n")
local newString = string.gsub(theString,"[tT][eshia]+[st]","zonk")
print(newString)

theString = "This is the test string that will be used to work with patterns in Lua.  This should be interesting"

-- work with string.gmatch
print("\n\n")
for word in string.gmatch(theString,"[tT][eshia]+[st]") do
   print(word)
end

-- work with capture
print("\n\n")
for word in string.gmatch(theString,"[tT]([eshia]+)[st]") do
   print(word)
end


